Update avconv to support opus in ogg files
OpenPublic

Description

The oga transcode of https://commons.wikimedia.org/wiki/File:Sound_of_the_bells_of_Sveta_Nedelya_in_Sofia_2012_PD.ogg gives

'/usr/bin/avconv' -y -i '/tmp/localcopy_345b75a767fb-1.ogg' -vn -aq '1' -ar '44100' -ac '2' -acodec 'libvorbis' /tmp/transcode_oggd0332bf23b6c-1.ogg

Exitcode: 1
Memory: 4194304

avconv version 0.8.6-4:0.8.6-0ubuntu0.12.04.1, Copyright (c) 2000-2013 the Libav developers

built on Apr  2 2013 17:02:36 with gcc 4.6.3

[ogg @ 0x10267a0] Codec not found
/tmp/localcopy_345b75a767fb-1.ogg: End of file

I think libav needs to be updated to version 9


Version: unspecified
Severity: enhancement

bzimport set Reference to bz51313.
McZusatz created this task.Via LegacyJul 14 2013, 9:32 AM
Aklapper added a comment.Via ConduitJul 15 2013, 11:13 AM

Is that server territory (product "Wikimedia" in Bugzilla), or some requirements bump that has to happen in the TMH codebase (product "MediaWiki extensions")?

bzimport added a comment.Via ConduitJul 15 2013, 2:03 PM

jgerber wrote:

To support Opus we would need to package libopus and a new version of avconv, not sure about teritorry but should be ok to leave as TMH bug since we have several like it for other formats.

gerritbot added a comment.Via ConduitSep 24 2013, 10:20 AM

Change 78235 had a related patch set uploaded by J:
Parse Ogg Opus files and enable playback if supported

https://gerrit.wikimedia.org/r/78235

gerritbot added a comment.Via ConduitSep 26 2013, 6:51 AM

Change 78235 merged by jenkins-bot:
Parse Ogg Opus files and enable playback if supported

https://gerrit.wikimedia.org/r/78235

JeanFred added a comment.Via ConduitJan 22 2014, 6:28 PM

With change 78235 merged, is this fixed?

Aklapper added a comment.Via ConduitMar 11 2014, 5:10 PM

No reply to comment 5 - assuming this bug is FIXED.
If that is not the case: Please reopen and elaborate what is left to do here to get this report fixed.

Mattflaschen added a comment.Via ConduitMar 20 2014, 6:17 AM

(In reply to Andre Klapper from comment #6)

No reply to comment 5 - assuming this bug is FIXED.
If that is not the case: Please reopen and elaborate what is left to do here
to get this report fixed.

I tested at https://commons.wikimedia.org/wiki/File:Sound_of_the_bells_of_Sveta_Nedelya_in_Sofia_2012_PD.ogg .

You can play the original (if your browser supports Ogg Opus), but the transcode to Ogg Vorbis at the bottom still won't work (I tried resetting it manually). It seems to be the same error.

Bawolff added a comment.Via ConduitMar 20 2014, 2:31 PM

(In reply to Andre Klapper from comment #6)

No reply to comment 5 - assuming this bug is FIXED.
If that is not the case: Please reopen and elaborate what is left to do here
to get this report fixed.

No, comment 2 needs to be done (see bug 53863/rt 6891)

McZusatz added a subscriber: McZusatz.Via WebNov 24 2014, 3:50 AM

Should the bug title be updated to reflect that webm files are affected as well?

Also, after fixing this bug, we need to reset all transcodes where video+opus exists because those transcodes have no audio track at all.

Gilles added a project: Multimedia.Via WebNov 24 2014, 3:17 PM
brion added a subscriber: brion.Via WebJul 21 2015, 1:05 AM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptVia HeraldJul 21 2015, 1:05 AM
fgiunchedi added a subscriber: fgiunchedi.Via WebJul 31 2015, 1:56 PM

with an updated ffmpeg from debian this seems to work:

filippo@filippo-test-trusty:~$ ffmpeg -y -i Sound_of_the_bells_of_Sveta_Nedelya_in_Sofia_2012_PD.ogg -vn -aq '1' -ar '44100' -ac '2' -acodec 'libvorbis' Sound_of_the_bells_of_Sveta_Nedelya_in_Sofia_2012_PD.ogv
ffmpeg version 2.7.2-1~wmf1 Copyright (c) 2000-2015 the FFmpeg developers
  built with gcc 4.8 (Ubuntu 4.8.2-19ubuntu1)
  configuration: --prefix=/usr --extra-version='1~wmf1' --build-suffix=-ffmpeg --toolchain=hardened --libdir=/usr/lib/x86_64-linux-gnu --incdir=/usr/include/x86_64-linux-gnu --enable-gpl --enable-shared --disable-stripping --enable-avresample --enable-avisynth --enable-frei0r --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-openal --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libspeex --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libxvid --enable-libzvbi --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-libsoxr --enable-libx264 --enable-libopencv --enable-libx265
  libavutil      54. 27.100 / 54. 27.100
  libavcodec     56. 41.100 / 56. 41.100
  libavformat    56. 36.100 / 56. 36.100
  libavdevice    56.  4.100 / 56.  4.100
  libavfilter     5. 16.101 /  5. 16.101
  libavresample   2.  1.  0 /  2.  1.  0
  libswscale      3.  1.101 /  3.  1.101
  libswresample   1.  2.100 /  1.  2.100
  libpostproc    53.  3.100 / 53.  3.100
Input #0, ogg, from 'Sound_of_the_bells_of_Sveta_Nedelya_in_Sofia_2012_PD.ogg':
  Duration: 00:00:45.65, start: 0.000000, bitrate: 128 kb/s
    Stream #0:0: Audio: opus, 48000 Hz, stereo, fltp
    Metadata:
      TIMECODE        : 00:00:00:00
      CREATION_TIME   : 2013-01-13 16:24:08
      ENCODER         : Lavf54.59.103
Output #0, ogg, to 'Sound_of_the_bells_of_Sveta_Nedelya_in_Sofia_2012_PD.ogv':
  Metadata:
    encoder         : Lavf56.36.100
    Stream #0:0: Audio: vorbis (libvorbis), 44100 Hz, stereo, fltp
    Metadata:
      TIMECODE        : 00:00:00:00
      CREATION_TIME   : 2013-01-13 16:24:08
      encoder         : Lavc56.41.100 libvorbis
Stream mapping:
  Stream #0:0 -> #0:0 (opus (native) -> vorbis (libvorbis))
Press [q] to stop, [?] for help
size=     386kB time=00:00:45.62 bitrate=  69.4kbits/s    
video:0kB audio:379kB subtitle:0kB other streams:0kB global headers:4kB muxing overhead: 1.993704%
filippo@filippo-test-trusty:~$
Paladox added a subscriber: Paladox.Via WebFri, Aug 7, 6:14 PM

This can be closed since this https://gerrit.wikimedia.org/r/#/c/230078/ switched to using ffmpeg instead which brings us a step forward to using opus and vp9.

fgiunchedi added a comment.Via WebMon, Aug 10, 10:16 AM

This can be closed since this https://gerrit.wikimedia.org/r/#/c/230078/ switched to using ffmpeg instead which brings us a step forward to using opus and vp9.

since it blocks other production tasks I'll leave it open until production is fixed as well

Jdforrester-WMF moved this task to Backlog on the Multimedia workboard.Via WebFri, Sep 4, 6:39 PM

Add Comment